Vai al contenuto
Ultimo aggiornamento

Lean - getAwsParameter method

If there is a video identification process that stores the evidence on aws, you can use this method to recovery the credentials for the selected lra/service

For the full technical reference, see the OpenAPI specification.

Endpoint

GET /api/document/{lraId}/getAwsParameter

Headers

NameRequiredDescription
Content-TypeYesMust be application/json.
AuthorizationYesBasic Auth credentials.

Path parameters

ParameterTypeRequiredDescription
lraIdintegerYesLRA identifier.

Query parameters

ParameterTypeRequiredDescription
serviceIdstringYesThe service name.

Response examples

200 — Parameters returned

{
  "serviceId": "Service_Test",
  "arn": "arn_test",
  "accessKey": "access_key_test",
  "secretAccessKey": "secret_access_key_test"
}

Error codes

Error codeDescription
245LRA not authorized to use this service

For authentication errors, see Authentication.